require("silo-script")
require "event"
require "bot"
require "gui"
require "utils"
require "defines"
require "admin"
local version = 1

script.on_event(defines.events.on_player_created, function(event)
  local player = game.players[event.player_index]
  player.insert{name="iron-plate", count=8}
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
  player.insert{name="burner-mining-drill", count = 1}
  player.insert{name="stone-furnace", count = 1}
  player.force.chart(player.surface, {{player.position.x - 200, player.position.y - 200}, {player.position.x + 200, player.position.y + 200}})
  if (#game.players <= 1) then
    game.show_message_dialog{text = {"msg-intro"}}
  else
    player.print({"msg-intro"})
  end
  if not player.admin then
    game.permissions.get_group("nocraft").add_player(event.player_index)
  end
  silo_script.gui_init(player)
end)

script.on_event(defines.events.on_player_respawned, function(event)
  local player = game.players[event.player_index]
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
end)

script.on_event(defines.events.on_gui_click, function(event)
  silo_script.on_gui_click(event)
end)

script.on_init(function()
  global.version = version
  silo_script.init()
  game.permissions.create_group("nocraft")
  local group = game.permissions.get_group("nocraft")
  group.set_allows_action(defines.input_action.set_allow_commands, false)
  group.set_allows_action(defines.input_action.add_permission_group, false)
  group.set_allows_action(defines.input_action.delete_permission_group, false)
  group.set_allows_action(defines.input_action.edit_permission_group, false)
end)


script.on_event(defines.events.on_rocket_launched, function(event)
  silo_script.on_rocket_launched(event)
end)

script.on_configuration_changed(function(event)
  if global.version ~= version then
    global.version = version
  end
  silo_script.on_configuration_changed(event)
end)
silo_script.add_remote_interface()
